%define upstream_name    Git-Repository
%define upstream_version 1.308

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to Git repositories 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(System::Command) >= 1.100.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Git::Repository is a Perl interface to Git, for scripted interactions
with repositories. It's a low-level interface that allows calling any
Git command, whether porcelain or plumbing, including bidirectional
commands such as git commit-tree.

A Git::Repository object simply provides context to the git commands
being run. It is possible to call the command() and run() methods
against the class itself, and the context (typically current working
directory) will be obtained from the options and environment.

As a low-level interface, it provides no sugar for particular Git
commands. Specifically, it will not prepare environment variables that
individual Git commands may need or use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.308.0-2.mga4
+ Revision: 531663
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 sander85 <sander85> 1.308.0-1.mga4
+ Revision: 464547
- update to 1.308

* Fri Jul 26 2013 sander85 <sander85> 1.307.0-1.mga4
+ Revision: 458711
- update to 1.307

* Wed Jun 26 2013 jquelin <jquelin> 1.305.0-1.mga4
+ Revision: 446962
- update to 1.305

* Mon Jun 10 2013 jquelin <jquelin> 1.304.0-1.mga4
+ Revision: 441580
- update to 1.304

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 367749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 342190
- update to 1.300

* Tue Nov 06 2012 jquelin <jquelin> 1.280.0-1.mga3
+ Revision: 315065
- update to 1.28

* Mon Oct 15 2012 jquelin <jquelin> 1.270.0-1.mga3
+ Revision: 306103
- update to 1.27

* Fri Aug 31 2012 kharec <kharec> 1.260.0-1.mga3
+ Revision: 286538
- update to 1.26

* Mon Jan 09 2012 jquelin <jquelin> 1.250.0-1.mga2
+ Revision: 193847
- update to 1.25

* Sun Dec 04 2011 kharec <kharec> 1.230.0-1.mga2
+ Revision: 176176
- update to 1.23

* Mon Sep 26 2011 jquelin <jquelin> 1.220.0-2.mga2
+ Revision: 148430
- fix summary & description

* Mon Sep 26 2011 jquelin <jquelin> 1.220.0-1.mga2
+ Revision: 148079
- update to 1.22
- imported package perl-Git-Repository


* Fri Aug 26 2011 cpan2dist 1.21-1mga
- initial mageia release, generated with cpan2dist
